using UnityEditor;
using UnityEngine;

namespace FL.Editor.Imports
{
    [System.Serializable]
    public struct PathValues
    {
        [Header("ⲿ·")]
        [Tooltip("customModelsPathļ")]
        public string from;
        [Header("Ŀļ")]
        public string to;
    }
    /// <summary>
    /// ⲿģ͵ļ
    /// </summary>
    [CreateAssetMenu(fileName = "CustomModelConfig", menuName = "XGame/ģ͵")]
    public class CustomModelConfig : ScriptableObject
    {
        [Header("ⲿģ͸Ŀ¼")]
        public string customModelsPath;
        public PathValues[] paths;

        #region ̬
        public static CustomModelConfig Load()
        {
            var guids = AssetDatabase.FindAssets(typeof(CustomModelConfig).Name);
            if (guids.Length == 0)
                return null;
            var assetPath = AssetDatabase.GUIDToAssetPath(guids[0]);
            return AssetDatabase.LoadAssetAtPath<CustomModelConfig>(assetPath);
        }
        #endregion
    }
}
