﻿namespace FL
{
    public enum EventDefine : int
    {
        None = 0,

        #region GameMainMap 1000 - 1999
        /// <summary>
        /// 加载Entity
        /// </summary>
        GameMainMapLoadEntities = 1000,
        /// <summary>
        /// 移除Entity
        /// </summary>
        GameMainMapRemoveEntity,
        /// <summary>
        /// 血量变化
        /// </summary>
        GameMainMapHpAdd,
        /// <summary>
        /// 技能特效
        /// </summary>
        GameMainMapSkillEffect,
        /// <summary>
        /// 目标选择
        /// </summary>
        GameMainMapFindTarget,
        /// <summary>
        /// 开启地图黑色遮罩
        /// </summary>
        GameMainMapStartMask,
        /// <summary>
        /// 地图黑色遮罩结束通知
        /// </summary>
        GameMainMapEndMask,
        #endregion
        #region Battle.Component 2000 - 2999
        /// <summary>
        /// 播放世界特效
        /// </summary>
        VfxComponentWorldVfx = 2000,
        #endregion
    }
}
