/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.FGUI;
using XGame.Framework.UI;
using XGame.Framework.UI.View;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _MainBattleOverVictory;
        public static UIKey MainBattleOverVictory => _MainBattleOverVictory ?? (_MainBattleOverVictory = new UIKey("Main", "BattleOverVictory", typeof(MainBattleOverVictoryView)));
    }
    public partial class MainBattleOverVictoryView : UIView
    {
        protected override void AddController(IUIControllerGroup group)
        {
            group.AddController(new MainBattleOverVictoryCtrl());
        }

        protected override IUIViewModel CreateViewModel(IUIPanel panel)
        {
            return new MainBattleOverVictoryVM((panel as FguiPanel).Panel);
        }

        protected override void OnDispose()
        {
        }
    }
}

